Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class JaxpLiaison

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XPathSupportDefault
            |
            +--weblogic.apache.xalan.xpath.xml.XMLParserLiaisonDefault
                  |
                  +--weblogic.apache.xalan.xpath.xml.JaxpLiaison

public class JaxpLiaison
extends XMLParserLiaisonDefault

Allow use of a generic JAXP parser with Xalan. Patch from Costin Manolache

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.apache.xalan.xpath.xml.XMLParserLiaisonDefault
`m_acceptLanguage, m_attrSpecialChars, m_candidateNoAncestorXMLNS, m_dataProviders, m_docHandler, m_document, m_DOMFactory, m_DTDHandler, m_entityResolver, m_envSupport, m_errorHandler, m_extensionFunctionNamespaces, m_formatterListener, m_indent, m_isDefaultUseValidation, m_locale, m_NSInfoNullNoAncestorXMLNS, m_NSInfoNullWithoutXMLNS, m_NSInfoNullWithXMLNS, m_NSInfoUnProcNoAncestorXMLNS, m_NSInfoUnProcWithoutXMLNS, m_NSInfoUnProcWithXMLNS, m_processNamespaces, m_shouldExpandEntityRefs, m_use_validation`

Constructor Summary
`JaxpLiaison()`

Method Summary
`void` | `checkNode(org.w3c.dom.Node node)`
`org.w3c.dom.Document` | `createDocument()` Create an empty DOM Document.
`org.w3c.dom.Document` | `getDocument()`
`org.w3c.dom.Element` | `getElementByID(java.lang.String id, org.w3c.dom.Document doc)`
`java.lang.String` | `getParserDescription()`
`void` | `parse(org.xml.sax.InputSource source)`
`boolean` | `supportsSAX()`

Methods inherited from class weblogic.apache.xalan.xpath.xml.XMLParserLiaisonDefault
`addExtensionElementNamespace, addExtensionNamespace, associateXLocatorToNode, copyFromOtherLiaison, createXLocatorHandler, deassociateXLocatorToNode, elementAvailable, error, error, error, extFunction, findURIFromDoc, functionAvailable, getAcceptLanguage, getCallback, getCallbackInfo, getDefaultXPathFactory, getDOMFactory, getEntityResolver, getErrorHandler, getExpandedAttributeName, getExpandedElementName, getIndent, getLocalNameOfNode, getNamespaceForPrefix, getNamespaceOfNode, getNodeData, getNodeData, getNodeSetByKey, getParentOfNode, getProblemListener, getProcessNamespaces, getRoot, getShouldExpandEntityRefs, getSourceDocsTable, getSpecialCharacters, getThrowFoundIndex, getUnparsedEntityURI, getURLFromString, getUseValidation, getVariable, getXLocatorFromNode, isIgnorableWhitespace, parse, problem, reset, setAcceptLanguage, setCallback, setDocumentHandler, setDOMFactory, setDTDHandler, setEntityResolver, setEnvSupport, setErrorHandler, setIndent, setLocale, setProblemListener, setProcessNamespaces, setShouldExpandEntityRefs, setSpecialCharacters, setThrowFoundIndex, setUseDOM2getNamespaceURI, setUseValidation, shouldStripSourceNode, toMarkup, toMarkup, warn, warn, warn, warning`

Methods inherited from class weblogic.apache.xalan.xpath.XPathSupportDefault
`beginConstruction, decrementContextNodePosition, endConstruction, getContextNodeList, getContextNodePosition, getCurrentNode, getInConstruction, getNamespaceContext, getNodeNumber, incrementContextNodePosition, parseXML, parseXML, popContextNodeList, popContextNodePosition, popXPathContext, pushContextNodeList, pushContextNodePosition, pushDummyXPathContext, pushXPathContext, reExecuteXPathContext, setContextNodePosition, setCurrentNode, setNamespaceContext, supportsNodeNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxpLiaison

    public JaxpLiaison()

Method Detail

### getParserDescription

    public java.lang.String getParserDescription()

  Overrides:
    getParserDescription in class XMLParserLiaisonDefault

### checkNode

    public void checkNode(org.w3c.dom.Node node)
                   throws org.xml.sax.SAXException

  Overrides:
    checkNode in class XMLParserLiaisonDefault

### supportsSAX

    public boolean supportsSAX()

  Overrides:
    supportsSAX in class XMLParserLiaisonDefault

### parse

    public void parse(org.xml.sax.InputSource source)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Overrides:
    parse in class XMLParserLiaisonDefault

### getDocument

    public org.w3c.dom.Document getDocument()

  Overrides:
    getDocument in class XMLParserLiaisonDefault

### createDocument

    public org.w3c.dom.Document createDocument()

  Create an empty DOM Document. Mainly used for creating an output document. Implementation of XMLParserLiaison interface method.

  Overrides:
    createDocument in class XMLParserLiaisonDefault

### getElementByID

    public org.w3c.dom.Element getElementByID(java.lang.String id,
                                              org.w3c.dom.Document doc)

  Overrides:
    getElementByID in class XMLParserLiaisonDefault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD